### Class

# Snapd TaskData

since: 1.66

#### Description [src]

    final class Snapd.TaskData : GObject.Object
    {
      /* No available fields */
    }

`SnapdTaskData` contains extra information for a task in a Snap transaction.

Available since: 1.66

#### Ancestors

- GObject

#### Instance methods

###### snapd_task_data_get_affected_snaps

Get the list of snaps that are affected by this task, or `NULL` if snapd doesn’t send this data.

since: 1.66

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.TaskData:affected-snaps

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdTaskDataClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.